<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" media-type="text/html; charset=ISO-8859-1"/>

<xsl:template match="/">
<html>
   <head>
      <style type="text/css">
         body {
         	margin: 0px;
         	font-size: 9pt;
         	font-family: arial;
         	background: #F3F3F3;
         }
         
         p.field_originaltitle
         {
            margin: 0px;
         	font-family: Verdana;
         	font-size: 12px;
         	font-weight: bold;
         	color: #C23531;
         }
         
         p.field_title
         {
            margin: 0px;
         	font-family: Arial;
         	font-size: 25px;
         	font-weight: bold;
         	color: #C23531;
         }
         
         p.film_itemtitle
         {
            margin: 0px;
            margin-top: 5px;
            margin-left: 5px;
            margin-right: 5px;
         	font-family: Arial;
         	color: black;
         	font-weight: bold;
         }
         
         p.film_item
         {
            margin: 0px;
            margin-left: 5px;
            margin-right: 5px;
         	color: #5D85AF;
         }
         
         p.deg0
         {
            margin: 0px;
            margin-left: 5px;
            margin-right: 5px;
            background: url(images/deg_h_bw.gif) no-repeat top left;
         }
         
         p.deg1
         {
            margin: 0px;
            margin-left: 5px;
            margin-right: 5px;
            background: url(images/deg_h_rw.gif) no-repeat top left;
         }
         
         p.deg2
         {
            margin: 0px;
            background: url(images/deg_vb.gif);
         }
         
         p.deg3
         {
            margin: 0px;
            background: url(images/deg_vh.gif);
         }
         
         .bk
         {
            color: black;
         }
         
         div.container { 
         	background: #F3F3F3;
         	margin: 0px; 
         	}
         	
         #leftcontent {
         	background: #F3F3F3; 
            position: absolute;
            left:0px;
            top:0px;
            width:155px;
            border:0px;
         	padding: 2px;
         	}
         		
         #topcontent{ 
         	background: #F3F3F3; 
            position: relative;
            padding: 0px;
         	margin: 0px; 
         	}	
         	
         #footercontent{ 
            position: relative;
            padding: 0px;
         	margin: 0px; 
            background: url(images/deg_v.gif);
         	}	
         	
         #content{ 
            position: absolute;
            background: #F9F9F9 url(images/clap.gif) no-repeat center center;
         	left: 155px;
         	padding: 0px;
         	margin: 0px; 
         	}	
         
         </style>
      </head>
      <body>
         <div class="container">
            <div id="leftcontent">
               <p class="film_item" align="center">
                  <img>
                     <xsl:attribute name="src">images/stars<xsl:value-of select="//column[@field='note']/@value"/>.gif</xsl:attribute>
                  </img>
               </p>
               <p class="film_item"><img src="images/trans_pixel.gif" height="5" /></p>
               
               <p class="film_itemtitle"><img src="images/flech.gif" />&#160;&#160;<xsl:value-of select="//column[@field='ref']/@value"/></p>
               <p class="deg1"><img src="images/trans_pixel.gif" height="10" /></p>
               
               <p class="film_item" align="center"><img src="~imagebdd~" border="1" /></p>
               <p class="film_item"><img src="images/trans_pixel.gif" height="10" /></p>
               
               <p class="film_item"><span class="bk">Public vis: </span><b><xsl:value-of select="//column[@field='public']/@value"/></b></p>
               <p class="film_item"><span class="bk">Dure: </span><b><xsl:value-of select="//column[@field='duree']/@value"/></b> min.</p>
               <p class="film_item"><span class="bk">Anne: </span><b><xsl:value-of select="//column[@field='annee']/@value"/></b></p>
               <p class="film_item"><span class="bk">Vu ? </span>
                  <xsl:if test="(//column[@field='vu']/@value='1')">
                     <img src="images/chk.gif" />
                  </xsl:if>
                  <xsl:if test="not(//column[@field='vu']/@value='1')">
                     <img src="images/unchk.gif" />
                  </xsl:if>
               </p>
               <p class="film_item"><span class="bk">Vu le: </span><b><xsl:value-of select="//column[@field='datevu']/@value"/></b></p>
               <p class="film_item"><span class="bk">Date ajout: </span><b><xsl:value-of select="//column[@field='dateajout']/@value"/></b></p>
               <p class="film_item"><span class="bk">Date sortie: </span><b><xsl:value-of select="//column[@field='datesortie']/@value"/></b></p>
               <p class="film_item"><span class="bk">Date dition: </span><b><xsl:value-of select="//column[@field='dateedition']/@value"/></b></p>
               
               <p class="film_itemtitle"><img src="images/flech.gif" />&#160;&#160;Rservation</p>
               <p class="deg1"><img src="images/trans_pixel.gif" height="5" /></p>
               <p class="film_item">
                  <xsl:if test="not(//column[@field='idloc']/@value='')">
                     <b><font color="red">Prt</font></b>
                  </xsl:if>
                  <xsl:if test="//column[@field='idloc']/@value=''">
                     <b><font color="green">Disponible</font></b>
                  </xsl:if>
               </p>
            </div>
            
            <div id="content">
               <div id="topcontent">
                  <p class="field_title"><xsl:value-of select="//column[@field='nom']/@value"/></p>
                  <p class="field_originaltitle"><xsl:value-of select="//column[@field='originaltitle']/@value"/></p>
                  <p class="deg3"><img src="images/trans_pixel.gif" height="10" /></p>
               </div>
               <p class="film_itemtitle"><img src="images/flech.gif" />&#160;&#160;Rsum</p>
               <p class="deg0"><img src="images/trans_pixel.gif" height="5" /></p>
               <p class="film_item" style="text-align:justify">&#160;<b><xsl:value-of select="//column[@field='obs']/@value"/></b></p>
               
               <p class="film_itemtitle"><img src="images/flech.gif" />&#160;&#160;Le film</p>
               <p class="deg0"><img src="images/trans_pixel.gif" height="5" /></p>
               <p class="film_item"><span class="bk">Catgorie: </span><b><xsl:value-of select="//column[@field='categorie']/@value"/></b></p>
               <p class="film_item"><span class="bk">Ralisateur: </span><b><xsl:value-of select="//column[@field='realisateur']/@value"/></b></p>
               <p class="film_item"><span class="bk">Acteurs: </span><b><xsl:value-of select="//column[@field='acteurs']/@value"/></b></p>
               <p class="film_item"><span class="bk">Producteur: </span><b><xsl:value-of select="//column[@field='producteur']/@value"/></b></p>
               <p class="film_item"><span class="bk">Editeur: </span><b><xsl:value-of select="//column[@field='editeur']/@value"/></b></p>
               <p class="film_item"><span class="bk">Pays: </span><b><xsl:value-of select="//column[@field='pays']/@value"/></b></p>
               
               <p class="film_itemtitle"><img src="images/flech.gif" />&#160;&#160;Fiche Technique</p>
               <p class="deg0"><img src="images/trans_pixel.gif" height="5" /></p>
               <p class="film_item"><span class="bk">Langues: </span><b><xsl:value-of select="//column[@field='langues']/@value"/></b></p>
               <p class="film_item"><span class="bk">Sous-titres: </span><b><xsl:value-of select="//column[@field='soustitres']/@value"/></b></p>
               <p class="film_item"><span class="bk">Source: </span><b><xsl:value-of select="//column[@field='source']/@value"/></b></p>
               <p class="film_item"><span class="bk">Rsolution: </span><b><xsl:value-of select="//column[@field='resolution']/@value"/></b></p>
               <p class="film_item"><span class="bk">Aspect: </span><b><xsl:value-of select="//column[@field='aspectratio']/@value"/></b></p>
               <p class="film_item"><span class="bk">Format Vido: </span><b><xsl:value-of select="//column[@field='videoformat']/@value"/></b></p>
               <p class="film_item"><span class="bk">Bitrate: </span><b><xsl:value-of select="//column[@field='videobitrate']/@value"/></b></p>
               <p class="film_item"><span class="bk">Format audio: </span><b><xsl:value-of select="//column[@field='audioformat']/@value"/></b></p>
               <p class="film_item"><span class="bk">Bitrate: </span><b><xsl:value-of select="//column[@field='audiobitrate']/@value"/></b></p>
               <p class="film_item"><span class="bk">Frquence: </span><b><xsl:value-of select="//column[@field='framerate']/@value"/></b></p>
               <p class="film_item"><span class="bk">Taille fichiers: </span><b><xsl:value-of select="//column[@field='filessize']/@value"/></b></p>
               <p class="film_item"><span class="bk">Support: </span><b><xsl:value-of select="//column[@field='support']/@value"/></b></p>
               <p class="film_item"><span class="bk">Nbre de supports: </span><b><xsl:value-of select="//column[@field='nbsupports']/@value"/></b></p>
               
               <p class="film_itemtitle"><img src="images/flech.gif" />&#160;&#160;Informations complmentaires</p>
               <p class="deg0"><img src="images/trans_pixel.gif" height="5" /></p>
               <p class="film_item" style="text-align:justify">&#160;<b><xsl:value-of select="//column[@field='infos']/@value"/></b></p>
               <p class="film_item">Site: 
                  <xsl:if test="not(//column[@field='url']/@value='')">
                     <b>
                     <a target="_blank">
                        <xsl:attribute name="href"><xsl:value-of select="//column[@field='url']/@value"/></xsl:attribute>
                        <xsl:attribute name="title"><xsl:value-of select="//column[@field='url']/@value"/></xsl:attribute>
                        <xsl:value-of select="//column[@field='url']/@short"/>
                     </a>
                     </b>
                  </xsl:if>
               </p>
               <p class="deg2"><img src="images/trans_pixel.gif" height="10" /></p>
            </div>
         </div>
            
            
      </body>
   </html>
</xsl:template>

</xsl:stylesheet>

